Bug 22567 - Internal error #19990916.
Internal error #19990916.
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-19 22:46 EST by Jim Nance
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-19 22:47:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
parser.ii to reproduce the bug (206.88 KB, text/plain)
2000-12-19 22:47 EST, Jim Nance
no flags Details

  None (edit)
Description Jim Nance 2000-12-19 22:46:38 EST
The compiler told me to submit a bug report, so here it is :-) 

bessie> g++ -c parser.ii 
parser.cpp:22: `RealParser::~RealParser ()' has already been declared 
in `RealParser'
parser.cpp:27: `RealParser::RealParser ()' has already been declared in 
`RealParser'
parser.cpp:33: `RealParser::openFile (const string &)' has already been 
declared in `RealParser'
parser.cpp:40: `RealParser::ReadLine ()' has already been declared in 
`RealParser'
parser.cpp:44: cannot declare member function `Parser::tokenValue' 
within `RealParser'
parser.cpp:61: cannot declare member function `Parser::newParser' 
within `RealParser'
parser.cpp:62: cannot declare member function `Parser::Parser' within 
`RealParser'
parser.cpp:63: cannot declare member function `Parser::Parser' within 
`RealParser'
parser.cpp:64: parse error at end of input
parser.cpp:64: Internal error #19990916.
parser.cpp:64: Internal compiler error in poplevel, at ../gcc/cp/decl.c
:1315
Please submit a full bug report.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.

bessie> gcc -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.0)

bessie> rpm -qa | grep gcc
gcc-g77-2.96-54
kgcc-1.1.2-40
gcc-c++-2.96-54
gcc-objc-2.96-54
gcc-2.96-54
Comment 1 Jim Nance 2000-12-19 22:47:28 EST
Created attachment 6596 [details]
parser.ii to reproduce the bug
Comment 2 Jakub Jelinek 2000-12-20 09:09:17 EST
Fixed in gcc-c++-2.96-69:
$ gcc -S parser.ii
parser.cpp:22: `RealParser::~RealParser ()' has already been declared
in `RealParser'
parser.cpp:27: `RealParser::RealParser ()' has already been declared in
`RealParser'
parser.cpp:33: `RealParser::openFile (const string &)' has already been
declared in `RealParser'
parser.cpp:40: `RealParser::ReadLine ()' has already been declared in
`RealParser'
parser.cpp:44: cannot declare member function `Parser::tokenValue'
within `RealParser'
parser.cpp:61: cannot declare member function `Parser::newParser'
within `RealParser'
parser.cpp:62: cannot declare member function `Parser::Parser' within
`RealParser'
parser.cpp:63: cannot declare member function `Parser::Parser' within
`RealParser'
parser.cpp:64: parse error at end of input
parser.cpp:64: confused by earlier errors, bailing out
$ rpm -q gcc-c++
gcc-c++-2.96-69
Comment 3 Jim Nance 2000-12-20 09:22:06 EST
There dont seem to be any updates for gcc available:

ncftp ...edhat/updates/7.0/i386 > pwd
ftp://metalab.unc.edu/pub/Linux/distributions/redhat/updates/7.0/i386/
ncftp ...edhat/updates/7.0/i386 > dir gcc*
ncftp ...edhat/updates/7.0/i386 > 

I assume it will show up on an FTP site eventually?

Note You need to log in before you can comment on or make changes to this bug.